# $Revision: 1.55 $, $Date: 2006/09/26 19:10:51 $
Summary:	FAM, the File Alteration Monitor
Summary(pl):	Monitor zmian w plikach
Summary(pt_BR):	FAM, um monitor de alteraes em arquivos
Name:		fam
Version:	2.7.0
Release:	6
License:	GPL
Group:		Daemons
Source0:	ftp://oss.sgi.com/projects/fam/download/stable/%{name}-%{version}.tar.gz
# Source0-md5:	1bf3ae6c0c58d3201afc97c6a4834e39
Source1:	%{name}.inetd
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-dnotify.patch
Patch1:		%{name}-cleanup.patch
Patch2:		%{name}-gcc34.patch
Patch3:		%{name}-paths.patch
Patch4:		%{name}-gcc4.patch
URL:		http://oss.sgi.com/projects/fam/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

%description -l pl
FAM dostarcza serwer i API pozwalajce aplikacjom na uzyskiwanie
informacji o zmianach w okrelonych plikach lub katalogach.

%description -l pt_BR
O FAM fornece um servidor e uma API que aplicaes podem usar para
receber notificaes sobre mudanas em arquivos ou diretrios
especficos.

%package common
Summary:	FAM, the File Alteration Monitor - common files
Summary(pl):	Monitor zmian w plikach - wsplne pliki
Group:		Daemons
Requires:	%{name}-libs = %{version}-%{release}
Requires:	portmap
Conflicts:	fam < 2.7.0

%description common
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

%description common -l pl
FAM dostarcza serwer i API pozwalajce aplikacjom na uzyskiwanie
informacji o zmianach w okrelonych plikach lub katalogach.

%description common -l pt_BR
O FAM fornece um servidor e uma API que aplicaes podem usar para
receber notificaes sobre mudanas em arquivos ou diretrios
especficos.

%package inetd
Summary:	inetd configs for FAM
Summary(pl):	Pliki konfiguracyjne do uycia FAM poprzez inetd
Group:		Daemons
Requires:	%{name}-common = %{version}-%{release}
Requires:	inetdaemon
Requires:	portmap
Requires:	rc-inetd
Provides:	fam = %{version}-%{release}
Obsoletes:	fam < 2.7.0
Obsoletes:	fam-standalone
Conflicts:	gamin
# no RPC support in rc-inet script before
Conflicts:	inetd < 0.17-12
# no working RPC and tcp/wait support before
Conflicts:	rlinetd < 0.6-1
# PORT option was required before
Conflicts:	xinetd < 2.3.14-2

%description inetd
FAM configs for running from inetd.

%description inetd -l pl
Pliki konfiguracyjna FAM do startowania demona poprzez inetd.

%package standalone
Summary:	Standalone daemon configs for FAM
Summary(pl):	Pliki konfiguracyjne do startowania FAM w trybie standalone
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	/sbin/chkconfig
Requires:	rc-scripts
Provides:	fam = %{version}-%{release}
Obsoletes:	fam < 2.7.0
Obsoletes:	fam-inetd
Conflicts:	gamin

%description standalone
FAM configs for running as a standalone daemon.

%description standalone -l pl
Pliki konfiguracyjne FAM do startowania demona w trybie standalone.

%package libs
Summary:	Libraries for FAM
Summary(pl):	Biblioteki FAMa
Summary(pt_BR):	FAM, um monitor de alteraoes em arquivos
License:	LGPL
Group:		Libraries
Obsoletes:	libfam0
Conflicts:	gamin-libs

%description libs
Libraries for FAM.

%description libs -l pl
Biblioteki FAMa.

%description libs -l pt_BR
FAM, um monitor de alteraoes em arquivos.

%package devel
Summary:	Includes to develop using FAM
Summary(pl):	Pliki nagwkowe FAM
Summary(pt_BR):	Arquivos para desenvolvimento com a libfam
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	libfam0-devel
Conflicts:	gamin-devel

%description devel
Includes to develop using FAM.

%description devel -l pl
Pliki nagwkowe FAM.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento com a libfam.

%package static
Summary:	FAM static libraries
Summary(pl):	Biblioteki statyczne FAM
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com a libfam
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	gamin-static

%description static
FAM static libraries.

%description static -l pl
Biblioteki statyczne FAM.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com a libfam.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/sgi_fam
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/famd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/famd

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install test/test.c++ $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post standalone
/sbin/chkconfig --add famd
%service famd restart "FAM daemon"

%preun standalone
if [ "$1" = "0" ]; then
	%service famd stop
	/sbin/chkconfig --del famd
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_sbindir}/*
%config %{_sysconfdir}/%{name}.conf
%{_mandir}/man5/*
%{_mandir}/man8/*

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/sgi_fam

%files standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/famd
%attr(754,root,root) /etc/rc.d/init.d/famd

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fam.spec,v $
Revision 1.55  2006/09/26 19:10:51  glen
- rel 6

Revision 1.54  2006/03/20 10:10:47  qboosh
- -common alone doesn't replace old fam package, but -inetd or -standalone do

Revision 1.53  2006/03/20 09:55:24  qboosh
- removed PORT option from inetd file, allow rlinetd (>= 0.6)
- release 5

Revision 1.52  2006/03/12 15:44:27  qboosh
- release 4

Revision 1.51  2006/03/12 14:03:06  qboosh
- removed invalid tcpd entry from .inetd file; works with inetd now

Revision 1.50  2006/03/12 10:05:21  qboosh
- include example in -devel

Revision 1.49  2006/02/27 23:21:21  glen
- use %service

Revision 1.48  2006/02/21 14:09:33  qboosh
- don't use epoch when not defined

Revision 1.47  2006/02/20 12:37:50  wiget
- added gcc4.patch (removed extra qualification in C++ code)
- release 3

Revision 1.46  2005/12/31 11:01:09  glen
- listen only local connections by default
- fixed man pages
- rel 2

Revision 1.45  2005/10/04 16:36:20  glen
- pure chkconfig dep, adapterized

Revision 1.44  2005/07/01 21:10:27  qboosh
- unified R/P/O/C order

Revision 1.43  2005/06/30 14:06:01  baggins
- release 1
- added conflicts on gamin

Revision 1.42  2005/06/30 12:58:36  baggins
- cleaned up deps

Revision 1.41  2005/06/30 12:18:41  baggins
- more name changes

Revision 1.40  2005/06/30 12:13:53  baggins
- started update to 2.7.0
- rel 0.1
- daemon name and location changed
- removed obsolete patches

Revision 1.39  2005/06/29 22:37:47  baggins
- release 2.3
- proper provides/requires

Revision 1.38  2005/06/29 22:33:45  baggins
- release 2.2
- added common package
- unified naming conventions
- finished inetd and standalone packages

Revision 1.37  2005/06/28 17:50:46  baggins
- gamin is in no fucking way a replacement for fam!
- added standalone and inetd subpackages as the only inet daemon that
  supports rpc is xinetd

Revision 1.35  2005/03/13 10:39:38  paszczus
- reverted

Revision 1.33  2004/12/26 15:19:35  qboosh
- autoheader

Revision 1.32  2004/12/26 15:10:32  qboosh
- updated Source0 URL

Revision 1.31  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.30  2004/03/27 13:08:35  qboosh
- always use __cxx to link (dropped gcc2 hack), -devel R: libstdc++-devel

Revision 1.29  2004/03/02 12:33:09  grzegol
- updated dnotify patch
- strict internal deps
- rel. 2

Revision 1.28  2004/02/17 12:09:56  pluto
- gcc 3.4 fix.

Revision 1.27  2003/11/13 11:43:55  wrobell
- revert last change: krzak do not hide errors! i am really pissed off
  because your fucking change uninstalled my inetd. if you want to fix it,
  then do it, otherwise leave it.

Revision 1.26  2003/09/25 17:05:52  krzak
- Requires xinetd instead inetdaemon, because seems working wonly with xinetd.
- rel 1.2

Revision 1.25  2003/09/25 01:34:40  krzak
- add cleanup.patch that in fix remove the temp file
- rel 1.1 NFY

Revision 1.24  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.23  2003/05/25 05:47:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/15 09:15:07  misi3k
- updated to 2.6.10
- removed gcc3 patch (not needed)

Revision 1.21  2003/01/15 11:48:05  trojan
- added rc-inetd support for fam service
- release 6

Revision 1.20  2002/12/09 22:42:12  wrobell
- rel. 5

Revision 1.19  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.18  2002/11/14 18:42:39  wrobell
- rel. 4

Revision 1.17  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/08/29 14:00:59  wiget
- fix compilation with gcc 3.2 (by DJ_Urban)

Revision 1.15  2002/08/17 22:28:57  qboosh
- base package is on GPL; release 2

Revision 1.14  2002/08/17 13:30:48  kloczek
- merge translations from Conectiva.

Revision 1.13  2002/08/17 12:36:04  blues
- 2.6.9 - SECURITY update; STBR

Revision 1.12  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:13:01  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/21 09:31:10  kloczek
- if it possible map %{__cc} to %{__cxx} in the same way as in mozilla.spec.

Revision 1.9  2002/05/02 16:14:19  kloczek
- release 7,
- add -fno-rtti -fno-exceptions to CXXFLAGS and map %{__cc} on %{__cxx} (now
  libstdc++ patch can be removed),
- per subpackage License field (mail GPL all other LGPL),
- fixed requires rules for libs, devel and static subpackages.
  Added TODO:
- add rc-inetd upport or fam service.

Revision 1.8  2002/04/25 16:17:06  arturs
- fixed a small typo

Revision 1.7  2002/04/13 11:28:29  michuz
- added fam-rpcsvc.patch (fixes linking)

Revision 1.6  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/06 04:03:04  kloczek
- spec adapterized,
- libfam0{,-devel} added to Obsoletes for allow upgrade from MDK.
  NOTE: rc-inets support still NYF.

Revision 1.2  2002/01/18 20:09:09  qboosh
- fixed static pl description and base groups, cosmetics

Revision 1.1  2002/01/18 15:52:11  misiek
- initial pld relase (nfy; rc-inetd support missing)
